using System;
using System.Configuration;
using System.Xml;

namespace SimpleConfig
{
    public class DbServerConfig : IConfigurationSectionHandler
    {
        private string address;
        public string Address
        {
            get { return address; }
        }

        private int portNumber;
        public int PortNumber
        {
            get { return portNumber; }
        }

        public object Create(object parent, object configContext, XmlNode section)
        {
            foreach (XmlNode node in section.ChildNodes)
            {
                switch (node.Name)
                {
                    case "Address": address = node.InnerText; break;
                    case "PortNumber": portNumber = Convert.ToInt32(node.InnerText); break;
                }
            }
            return this;
        }
    }
}
